## gnome-shell 46.4

=== debian/changelog ===
gnome-shell (46.4-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 11:27:44 -0400

gnome-shell (46.3.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian
  * debian/patches: Refresh
  * d/p/ubuntu-authd: Add custom button to the qrcode view and automatic ack.
    Do not require manual intervention to dismiss the qrcode view and start
    the qrcode authentication, and support regenerating the qrcode using
    a custom button (LP: #2072710, #2072711)
  * d/p/ubuntu-authd: Add support for showing the login code in the qrcode view
    (LP: #2072714)
  * d/p/ubuntu-authd: Cleanup prompt view when changing auth mode.
    When switching from an auth mode to another we need to hide the uneeded
    items and cleanup the messages, do it so that switching form password
    auth, to a field-less view works as expected (LP: #2072718)
  * d/p/ubuntu-authd: Fix key navigation on choice list and waiting items.
    Make possible to use key-navigation automatically when such views are
    shown (LP: #2072716)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 15 Jul 2024 15:08:36 +0200

gnome-shell (46.2-1ubuntu4) oracular; urgency=medium

  * Add st-theme-node-Forget-properties-cache-on-stylesheet-chang.patch
    to fix crashes that occur when locking the screen from within the overview.
    But more generally can occur whenever any extension that modifies
    stylesheets (like ubuntu-dock or dash-to-dock) is unloaded (LP: #2069559).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 03 Jul 2024 14:37:10 +0800
