=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
@@ -63,14 +64,17 @@
                pkgconf,
                sassc,
                systemd-dev [linux-any],
+               terser,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/latest
 
 Package: gnome-shell
 Architecture: linux-any
@@ -110,11 +114,11 @@
          libglib2.0-bin (>= 2.80),
          python3,
          tecla,
+         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
-            chrome-gnome-shell,
             evolution-data-server (>= 3.45),
             gdm3,
             gnome-remote-desktop,
@@ -124,11 +128,14 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
+            ubuntu-session | gnome-session,
+            xserver-xorg-legacy,
             unzip
 Suggests: gir1.2-malcontent-0 [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
           gnome-shell-extension-prefs,
+          chrome-gnome-shell,
 Breaks: gnome-shell-extension-appindicator (<< 50),
         gnome-shell-extension-dash-to-panel (<< 55),
         gnome-shell-extension-dashtodock (<< 79),
@@ -151,6 +158,9 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: yaru-theme-gnome-shell (>= 23.10.0~)
+Breaks: gnome-shell (<< 3.36.1-6~)
+Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
  This package contains translations and data files for the GNOME shell.
