=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,11 @@
 		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
 
+execute_before_dh_auto_build:
+	# Regenerate the css files before building
+	env MESON_SOURCE_ROOT=$(CURDIR) MESON_DIST_ROOT=$(CURDIR) \
+		python3 meson/generate-stylesheets.py
+
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/gnome-shell/
 
@@ -60,9 +65,9 @@
 endif
 
 override_dh_auto_test:
-#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	env XDG_CACHE_HOME="$(shell mktemp -d -t cache-XXXXXXXX)" \
-#	dbus-run-session xvfb-run -a dh_auto_test -- $(meson_test_options)
-#endif
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	env XDG_CACHE_HOME="$(shell mktemp -d -t cache-XXXXXXXX)" \
+	dbus-run-session xvfb-run -a dh_auto_test -- $(meson_test_options)
+endif
 
 override_dh_gnome_clean:
