## gnome-shell 47~beta

=== debian/changelog ===
gnome-shell (47~beta-1ubuntu2) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p: Update accent color patches to support new accent-color key
  * d/p/ubuntu: Add support for brown accent color
  * d/p/ubuntu: Add support for playing a startup sound
  * debian/control: Bump dependency on desktop schemas 47~beta-1ubuntu2

  [ Jeremy Bícha ]
  * Disable the portal helper popup window and use the notification/browser
    method instead. Hardening related to CVE-2024-36472
  * Drop now unused Depends: gir1.2-webkit-6.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 09:48:11 -0400

gnome-shell (47~beta-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches
  * Refresh patches
  * Disable Yaru accent color patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 20:30:40 -0400

gnome-shell (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Update tray-offscreen-xwindows patches & move to separate patch topic
  * Bump minimum mutter & gsettings-desktop-schemas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 12:39:55 -0400
