=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                gnome-pkg-tools,
                gnome-settings-daemon-common (>= 40~) <!nocheck>,
                gobject-introspection (>= 1.80),
-               gsettings-desktop-schemas-dev (>= 46~beta),
+               gsettings-desktop-schemas-dev (>= 47~beta-1ubuntu2),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
@@ -47,8 +47,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-14-dev (>= 46.0),
-               mutter-14-tests (>= 46.0) <!nocheck>,
+               libmutter-15-dev (>= 47~beta),
+               mutter-15-tests (>= 47~beta) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -60,7 +60,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 46.0) <!nocheck>,
+               mutter (>= 47~beta) <!nocheck>,
                pkgconf,
                sassc,
                systemd-dev [linux-any],
@@ -97,7 +97,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-14 (>= 46.0),
+         gir1.2-mutter-15 (>= 47~beta),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
@@ -105,11 +105,10 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
-         gir1.2-webkit-6.0,
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 46~beta),
+         gsettings-desktop-schemas (>= 47~beta-1ubuntu2),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
          libglib2.0-bin (>= 2.80),
          python3,
