## gnome-shell 47~rc

=== debian/changelog ===
gnome-shell (47~rc-3ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches

  [ Marco Trevisan (Treviño) ]
  * d/p: Ensure PAM messages are fully notified on failures
  * d/p/ubuntu-authd: Improve notification of authentication error messages.
    Ensure that messages are visible enough time for the user being able to
    read them.
  * d/p/ubuntu-authd: Cleanup patches so that they're split more correctly.
    No final content change
  * d/p/ubuntu-authd: Improve theming and consistence of the login auth list
    items

  [ Daniel van Vugt ]
  * Add shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    to avoid crashing the shell if an app misbehaves coincidentally close
    to a garbage collection run (LP: #2037055)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 11 Sep 2024 03:47:31 +0200

gnome-shell (47~rc-3) experimental; urgency=medium

  * Disable the portal helper popup window and use the notification/browser
    method instead. Hardening related to CVE-2024-36472 (Closes: #1072124)
  * Drop now unused Depends: gir1.2-webkit-6.0
  * Bump minimum gsettings-desktop-schemas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 14:08:52 -0400

gnome-shell (47~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Transitional gnome-shell-extensions-prefs tool is no longer provided
  * Build with mutter 47 RC
  * Add Build-Depends: pipewire for build tests
  * Manpages are built with rst2man instead of a2x
  * Refresh patches

  [ Daniel van Vugt ]
  * debian/control: Don't depend on exact versions of gnome-shell-common

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 12:07:18 -0400
