=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
-               asciidoc-base,
                bash-completion,
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
@@ -28,7 +27,7 @@
                gnome-pkg-tools,
                gnome-settings-daemon-common (>= 40~) <!nocheck>,
                gobject-introspection (>= 1.80),
-               gsettings-desktop-schemas-dev (>= 47~beta-1ubuntu2),
+               gsettings-desktop-schemas-dev (>= 47~rc),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
@@ -47,8 +46,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-15-dev (>= 47~beta),
-               mutter-15-tests (>= 47~beta) <!nocheck>,
+               libmutter-15-dev (>= 47~rc),
+               mutter-15-tests (>= 47~rc) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -60,8 +59,10 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 47~beta) <!nocheck>,
+               mutter (>= 47~rc) <!nocheck>,
+               pipewire <!nocheck>,
                pkgconf,
+               python3-docutils,
                sassc,
                systemd-dev [linux-any],
                terser,
@@ -97,7 +98,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-15 (>= 47~beta),
+         gir1.2-mutter-15 (>= 47~rc),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
@@ -107,8 +108,8 @@
          gir1.2-upowerglib-1.0,
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 40~),
-         gnome-shell-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 47~beta-1ubuntu2),
+         gnome-shell-common (>= 47~rc),
+         gsettings-desktop-schemas (>= 47~rc),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
          libglib2.0-bin (>= 2.80),
          python3,
@@ -157,9 +158,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 23.10.0~)
-Breaks: gnome-shell (<< 3.36.1-6~)
-Replaces: gnome-shell (<< 3.36.1-6~)
+Recommends: yaru-theme-gnome-shell (>= 24.10)
 Description: common files for the GNOME graphical shell
  This package contains translations and data files for the GNOME shell.
 
@@ -169,7 +168,7 @@
          gir1.2-gtk-4.0,
          gjs (>= 1.73.1),
          gnome-shell (= ${binary:Version}),
-         gnome-shell-common (= ${source:Version}),
+         gnome-shell-common (>= 47~),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
