## gnome-shell 47.0

=== debian/changelog ===
gnome-shell (47.0-2ubuntu3.24.10.2) oracular; urgency=medium

  [ Alessandro Astone ]
  * Backport patch to fix crash when enabling Window List extension
    (LP: #2081957)
  * Backport patches to fix the Shift behaviour in OSK (LP: #2092181)

  [ Marco Trevisan (Treviño) ]
  * debian/salsa-ci: Use ubuntu recipe

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Apr 2025 17:00:30 +0200

gnome-shell (47.0-2ubuntu3.24.10.1) oracular; urgency=medium

  [ Alessandro Astone ]
  * Backport patch for connecting to a new Wi-Fi network from the log-in screen
    (LP: #2098016)

  [ Marco Trevisan (Treviño) ]
  * debian: Prepare for oracular branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 05 Mar 2025 16:33:39 +0100

gnome-shell (47.0-2ubuntu3) oracular; urgency=medium

  * d/p: Fix toggling lockscreen view using Escape (LP: #2084308)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 12 Oct 2024 04:57:30 +0200

gnome-shell (47.0-2ubuntu2) oracular; urgency=medium

  * d/p/ubuntu/secure-mode-extension: Return null on invalid extension.
    The upstream code checks whether the returned extension is null, not
    undefined, so we may end up returning an accepted values that will fail
    later when parsing the extension content (LP: #2083615)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 03 Oct 2024 16:55:49 +0200

gnome-shell (47.0-2ubuntu1) oracular; urgency=medium

  [ Alessandro Astone ]
  * Merge with Debian (LP: #2081646). Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Move from Recommends to Suggests: gnome-browser-connector
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many ubuntu-specific patches
    - Add patches to support authd authentication in GDM

  [ Robert Malz ]
  * d/p: Fix default service discovery (LP: #2065432)

  [ Marco Trevisan (Treviño) ]
  * d/p/appMenu-snap-store-details: Activate snap store app on click
    (LP: #2081716)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Oct 2024 01:58:19 +0200

gnome-shell (47.0-2) experimental; urgency=medium

  * Update gnome-browser-connector binary package name
  * Cherry-pick proposed patch to fix login screen crash if
    on-screen keyboard is enabled (Closes: #1082297)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Sep 2024 08:46:12 -0400

gnome-shell (47.0-1ubuntu2) oracular; urgency=medium

  * d/p: Show app details menu for snap applications

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 23:58:16 +0200

gnome-shell (47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add Build-Depends: terser (for authd)
    - Add Depends: ubuntu-wallpapers
    - Add Recommends:
      + ubuntu-session (| gnome-session) to have the Ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default Ubuntu theming
    - Move from Recommends to Suggests: chrome-gnome-shell
    - debian/gnome-shell-common.alternatives: Install tweaked GDM theme
    - Add debian/ubuntu-session-mods/ubuntu.json & install it with
      gnome-shell-common
    - Add many patches
  * Remove patch applied in new release
  * Refresh patches
  * Update gnome-browser-connector binary package name

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 07:49:10 -0400

gnome-shell (47.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum mutter and gnome-settings-daemon

  [ Daniel van Vugt ]
  * Add shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    to avoid crashing the shell if an app misbehaves coincidentally close
    to a garbage collection run (LP: #2037055)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 14 Sep 2024 21:16:08 -0400

gnome-shell (47~rc-3ubuntu2) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p/ubuntu-authd: Define the service name just once
  * d/p/pwa: Fix handling of non-sandboxed apps, or invalid apps.

  [ Nathan Pratta Teodosio ]
  * Add chromium-snap-pwa.patch:
    Fixes tab and dock grouping of progressive web applications
    for the Chromium snap (LP: #2007652).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 11:44:24 +0200
