=== debian/control ===
--- 
+++ 
@@ -24,8 +24,7 @@
                gir1.2-rsvg-2.0 <!nocheck>,
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev,
-               gnome-pkg-tools,
-               gnome-settings-daemon-common (>= 40~) <!nocheck>,
+               gnome-settings-daemon-common (>= 47~rc) <!nocheck>,
                gobject-introspection (>= 1.80),
                gsettings-desktop-schemas-dev (>= 47~rc),
                gtk-doc-tools,
@@ -46,8 +45,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-15-dev (>= 47~rc),
-               mutter-15-tests (>= 47~rc) <!nocheck>,
+               libmutter-15-dev (>= 47.0),
+               mutter-15-tests (>= 47.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -59,7 +58,7 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 47~rc) <!nocheck>,
+               mutter (>= 47.0) <!nocheck>,
                pipewire <!nocheck>,
                pkgconf,
                python3-docutils,
@@ -74,8 +73,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/latest
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/oracular
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/oracular
 
 Package: gnome-shell
 Architecture: linux-any
@@ -98,7 +97,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-15 (>= 47~rc),
+         gir1.2-mutter-15 (>= 47.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
@@ -107,7 +106,7 @@
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
          gnome-control-center (>= 1:46),
-         gnome-settings-daemon (>= 40~),
+         gnome-settings-daemon (>= 47~rc),
          gnome-shell-common (>= 47~rc),
          gsettings-desktop-schemas (>= 47~rc),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
@@ -134,8 +133,8 @@
 Suggests: gir1.2-malcontent-0 [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
+          gnome-browser-connector,
           gnome-shell-extension-prefs,
-          chrome-gnome-shell,
 Breaks: gnome-shell-extension-appindicator (<< 50),
         gnome-shell-extension-dash-to-panel (<< 55),
         gnome-shell-extension-dashtodock (<< 79),
@@ -173,7 +172,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: gnome-extensions-app
-Recommends: chrome-gnome-shell
+Recommends: gnome-browser-connector
 Description: tool to enable / disable GNOME Shell extensions
  This package contains a tool which users who use Shell extensions can use to
  toggle them on and off, and access their preferences.
