=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                bash-completion,
@@ -25,7 +26,7 @@
                gnome-control-center-dev,
                gnome-settings-daemon-common (>= 47~rc) <!nocheck>,
                gobject-introspection (>= 1.80),
-               gsettings-desktop-schemas-dev (>= 47~rc),
+               gsettings-desktop-schemas-dev (>= 48~beta),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
@@ -44,8 +45,8 @@
                libgtk-4-dev,
                libibus-1.0-dev,
                libjson-glib-dev,
-               libmutter-15-dev (>= 47.0),
-               mutter-15-tests (>= 47.0) <!nocheck>,
+               libmutter-16-dev (>= 48~beta),
+               mutter-16-tests (>= 48~beta) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.49) [linux-any],
                libpolkit-agent-1-dev,
@@ -57,20 +58,23 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 47.0) <!nocheck>,
+               mutter (>= 48~beta) <!nocheck>,
                pipewire <!nocheck>,
                pkgconf,
                python3-docutils,
                sassc,
                systemd-dev [linux-any],
+               terser,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/latest
 
 Package: gnome-shell
 Architecture: linux-any
@@ -81,7 +85,7 @@
          gir1.2-gcr-4 (>= 3.90.0),
          gir1.2-gdesktopenums-3.0,
          gir1.2-gdkpixbuf-2.0,
-         gir1.2-gdm-1.0,
+         gir1.2-gdm-1.0 (>= 47.0-4~),
          gir1.2-geoclue-2.0,
          gir1.2-glib-2.0 (>= 2.80),
          gir1.2-gnomebg-4.0,
@@ -93,7 +97,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0,
-         gir1.2-mutter-15 (>= 47.0),
+         gir1.2-mutter-16 (>= 48~beta),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 (>= 1.10.4) [linux-any],
          gir1.2-pango-1.0,
@@ -104,19 +108,19 @@
          gjs (>= 1.73.1),
          gnome-control-center (>= 1:46),
          gnome-settings-daemon (>= 47~rc),
-         gnome-shell-common (>= 47~rc),
-         gsettings-desktop-schemas (>= 47~rc),
+         gnome-shell-common (= ${source:Version}),
+         gsettings-desktop-schemas (>= 48~beta),
          gstreamer1.0-pipewire (>= 0.3.49) [linux-any],
          libglib2.0-bin (>= 2.80),
          python3,
          tecla,
+         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
             evolution-data-server (>= 3.45),
             gdm3,
-            gnome-browser-connector,
             gnome-remote-desktop,
             gnome-menus,
             gnome-user-docs,
@@ -124,10 +128,13 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
+            ubuntu-session | gnome-session,
+            xserver-xorg-legacy,
             unzip
 Suggests: gir1.2-malcontent-0 [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
+          gnome-browser-connector,
           gnome-shell-extension-prefs,
 Breaks: gnome-shell-extension-appindicator (<< 50),
         gnome-shell-extension-dash-to-panel (<< 55),
@@ -151,6 +158,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: yaru-theme-gnome-shell (>= 24.10)
 Description: common files for the GNOME graphical shell
  This package contains translations and data files for the GNOME shell.
 
@@ -160,7 +168,6 @@
          gir1.2-gtk-4.0,
          gjs (>= 1.73.1),
          gnome-shell (= ${binary:Version}),
-         gnome-shell-common (>= 47~),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
